<?php

namespace Drupal\s3_db_export\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\s3_db_export\DbexportManagerInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Class DisplayTableController.
 *
 * @package Drupal\mydata\Controller
 *
 * @todo Rename class to DatabaseExportS3
 */
class DbExport extends ControllerBase {

  /**
   * {@inheritdoc}
   */
  protected $dbexportManager;

  /**
   * Constructor.
   *
   * @param \Drupal\s3_db_export\DbexportManagerInterface $dbexportManager
   *   Export manager.
   */
  public function __construct(DbexportManagerInterface $dbexportManager) {
    // @todo Rename variables to $dbExportManager in all instances.
    $this->dbexportManager = $dbexportManager;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static($container->get('s3_db_export.manager'));
  }

  /**
   * {@inheritdoc}
   */
  public function display() {
    $this->dbexportManager->DbExport();
  }

}
